#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xDB,0x23,0x6C,0xEC,0xC7,0xB0,0x13,0xA6,0x0F,0x3A,0x88,0x87,
		0x8C,0x48,0x97,0x54,0x62,0xF0,0x83,0x27,0xFE,0x94,0x6A,0x4E,
		0xF9,0xEF,0x33,0x0B,0x50,0x33,0x84,0xCB,0x32,0x22,0xF1,0x87,
		0x8A,0xBB,0x59,0x0B,0x3B,0x6C,0xB9,0x36,0x8A,0xD6,0x7E,0xA6,
		0x2B,0x4A,0xA3,0xE6,0x21,0x9F,0xC6,0x8C,0xEB,0xDD,0x77,0xED,
		0x5A,0x23,0xE7,0xE3,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
